
(function ($) {
  var url = Drupal.BTDonations.basePath + 'braintree-donations/client-token';
  $.ajax({
    cache: false,
    type: 'GET',
    url: location.protocol + '//' + location.host + url,
    dataType: 'json',
    success: function (data) {
      if (typeof data.token != 'undefined') {
        Drupal.BTDonations.clientToken = data.token;
        // If the braintree library loaded during the ajax call, initialize it.
        if (typeof braintree != 'undefined' && Drupal.BTDonations.initialized == false) {
          Drupal.BTDonations.initialized = true;
          braintree.setup(Drupal.BTDonations.clientToken, "dropin", { container: "edit-transaction-dropin" });
          // Show button when the document is ready.
          $(function() {
            $('div.braintree-donations-credit-card-submit').show();
          });
        }
      }
    },
    error: function (xmlhttp) {
      //
    }
  });
  // Hide warning when the document is ready.
  $(function() {
    $('#braintree-no-js-warning').hide();
  });
})(jQuery);
